org.eclipse.eef

## Interface EEFHyperlinkDescription

All Superinterfaces:
  EEFControlDescription, EEFWidgetDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFHyperlinkDescriptionImpl

    public interface EEFHyperlinkDescription
    extends EEFWidgetDescription

A representation of the model object 'EEF Hyperlink Description'. Represents an hyperlink field in the user interface.

The following features are supported:

- `Value Expression`
- `Display Expression`
- `On Click Expression`
- `Style`
- `Conditional Styles`
- `Actions`

See Also:
  `EefPackage.getEEFHyperlinkDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<EEFWidgetAction>` `getActions()` Returns the value of the 'Actions' containment reference list.
`org.eclipse.emf.common.util.EList<EEFHyperlinkConditionalStyle>` `getConditionalStyles()` Returns the value of the 'Conditional Styles' containment reference list.
`java.lang.String` `getDisplayExpression()` Returns the value of the 'Display Expression' attribute.
`java.lang.String` `getOnClickExpression()` Returns the value of the 'On Click Expression' attribute.
`EEFHyperlinkStyle` `getStyle()` Returns the value of the 'Style' containment reference.
`java.lang.String` `getValueExpression()` Returns the value of the 'Value Expression' attribute.
`void` `setDisplayExpression(java.lang.String value)` Sets the value of the '`Display Expression`' attribute.
`void` `setOnClickExpression(java.lang.String value)` Sets the value of the '`On Click Expression`' attribute.
`void` `setStyle(EEFHyperlinkStyle value)` Sets the value of the '`Style`' containment reference.
`void` `setValueExpression(java.lang.String value)` Sets the value of the '`Value Expression`' attribute.

### Methods inherited from interface org.eclipse.eef.EEFWidgetDescription

`getHelpExpression, getIsEnabledExpression, getLabelExpression, getPropertyValidationRules, setHelpExpression, setIsEnabledExpression, setLabelExpression`

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getValueExpression

    java.lang.String getValueExpression()

Returns the value of the 'Value Expression' attribute. Indicates how to display the input value.

Returns:
  the value of the 'Value Expression' attribute.
See Also:
  `setValueExpression(String)`, `EefPackage.getEEFHyperlinkDescription_ValueExpression()`

#### setValueExpression

    void setValueExpression(java.lang.String value)

Sets the value of the '`Value Expression`' attribute.

Parameters:
  `value` - the new value of the 'Value Expression' attribute.
See Also:
  `getValueExpression()`

#### getDisplayExpression

    java.lang.String getDisplayExpression()

Returns the value of the 'Display Expression' attribute. This function will return the label to display

Returns:
  the value of the 'Display Expression' attribute.
See Also:
  `setDisplayExpression(String)`, `EefPackage.getEEFHyperlinkDescription_DisplayExpression()`

#### setDisplayExpression

    void setDisplayExpression(java.lang.String value)

Sets the value of the '`Display Expression`' attribute.

Parameters:
  `value` - the new value of the 'Display Expression' attribute.
See Also:
  `getDisplayExpression()`

#### getOnClickExpression

    java.lang.String getOnClickExpression()

Returns the value of the 'On Click Expression' attribute. Defines the behavior executed when the end-user updates the value of the text field.

Returns:
  the value of the 'On Click Expression' attribute.
See Also:
  `setOnClickExpression(String)`, `EefPackage.getEEFHyperlinkDescription_OnClickExpression()`

#### setOnClickExpression

    void setOnClickExpression(java.lang.String value)

Sets the value of the '`On Click Expression`' attribute.

Parameters:
  `value` - the new value of the 'On Click Expression' attribute.
See Also:
  `getOnClickExpression()`

#### getStyle

    EEFHyperlinkStyle getStyle()

Returns the value of the 'Style' containment reference. Defines the text style

Returns:
  the value of the 'Style' containment reference.
See Also:
  `setStyle(EEFHyperlinkStyle)`, `EefPackage.getEEFHyperlinkDescription_Style()`

#### setStyle

    void setStyle(EEFHyperlinkStyle value)

Sets the value of the '`Style`' containment reference.

Parameters:
  `value` - the new value of the 'Style' containment reference.
See Also:
  `getStyle()`

#### getConditionalStyles

    org.eclipse.emf.common.util.EList<EEFHyperlinkConditionalStyle> getConditionalStyles()

Returns the value of the 'Conditional Styles' containment reference list. The list contents are of type `EEFHyperlinkConditionalStyle`. Defines the text style associated to a precondition

Returns:
  the value of the 'Conditional Styles' containment reference list.
See Also:
  `EefPackage.getEEFHyperlinkDescription_ConditionalStyles()`

#### getActions

    org.eclipse.emf.common.util.EList<EEFWidgetAction> getActions()

Returns the value of the 'Actions' containment reference list. The list contents are of type `EEFWidgetAction`.

If the meaning of the 'Actions' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Actions' containment reference list.
See Also:
  `EefPackage.getEEFHyperlinkDescription_Actions()`